Package javax.help.event

# Class HelpSetEvent

java.lang.Object
java.util.EventObject
javax.help.event.HelpSetEvent

All Implemented Interfaces:
  `Serializable`

public class HelpSetEvent extends EventObject
Conveys information when a HelpSet is added/removed.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`HELPSET_ADDED`
A HelpSet was added
`static final int`
`HELPSET_REMOVED`
A HelpSet was removed

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`HelpSetEvent(Object source, HelpSet helpset, int action)`
Creates a HelpSetEvent.

## Method Summary

Modifier and Type
Method
Description
`int`
`getAction()`
`HelpSet`
`getHelpSet()`
`String`
`toString()`
Returns textual about the instance.

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### HELPSET_ADDED

public static final int HELPSET_ADDED
A HelpSet was added

See Also:
  - Constant Field Values

### HELPSET_REMOVED

public static final int HELPSET_REMOVED
A HelpSet was removed

See Also:
  - Constant Field Values

## Constructor Details

### HelpSetEvent

public HelpSetEvent(Object source, HelpSet helpset, int action)
Creates a HelpSetEvent.

Parameters:
  `source` - Source of this Event.
  `helpset` - The HelpSet being added/removed.
  `action` - HELPSET_ADDED or HELPSET_REMOVED.
Throws:
  `IllegalArgumentException` - if source is null or if action is not a valid action.

## Method Details

### getHelpSet

public HelpSet getHelpSet()

Returns:
  The HelpSet.

### getAction

public int getAction()

Returns:
  The action

### toString

public String toString()
Returns textual about the instance.

Overrides:
  `toString` in class `EventObject`